package demo;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;

@Controller
public class HistoriaController {
    @Autowired
    private LogikaKalkulatora logika;

    @GetMapping("/historia")
    public String historia(Model model) {
        model.addAttribute("historia", logika.getHistoriaDzialan());
        return "historia.html";
    }

}
